***************************************************************************
Author: L. Pitonakova (http://lenkaspace.net)

License: GNU General Public License. Please credit me when using my work.

This work was funded and delivered in partnership between the Thales Group and the University of Bristol, and with the support of the UK EPSRC Grant Award EP/R004757/1.
***************************************************************************


The analysis code is made up of two parts: CPP compiled python modules, that provide data
and python scripts that request and visualise data.

Data visualisation requires pyCreeper to be installed. Get it from
http://pycreeper.lenkaspace.net
(Tested with pyCreeper 2.0)


SETTING UP THE DEVELOPMENT ENVIRONMENT
=======================================

1. Make sure you are using python3.N by default by adding this into ~/.profile or ~/.bash_profile:

```
alias python=python3
alias pip=pip3
```

2. If you are going to run python scripts from the command line (as opposed to from an IDE
which you can setup separately), make sure you add the path to pyCreeper into ~/.profile or ~/.bash_profile, e.g:

```
export PYTHONPATH="${PYTHONPATH}:/Users/me/pyCreeper/python/" 
```

3. Tell python where data and outputs are. Create file in analysis/python/paths.py and set the paths in it:

```
import os;

#-- where data is located. Example: BASE_FILE_PATH_DATA = os.path.abspath(os.path.join(os.path.dirname( __file__ ) , "../../_data/"));
BASE_FILE_PATH_DATA = "[PUT PATH TO DATA HERE]"

#-- where to put plots
BASE_FILE_PATH_OUTPUT_IMAGES = os.path.abspath(os.path.join(os.path.dirname( __file__ ) , "../../_analysisResults/"));

```




BUILDING AND RUNNING THE CODE
=======================================

The modules in cpp can be installed globally as python modules by running the following from this directory:

```
./build.sh -c
```

NOTE that simply running pip install will NOT work because the build script sets some variables that setup.py needs.

To then run a python script use e.g.

```
./build.sh -r python/s1__setComparison.py
```

The python scripts can also be run from an IDE of your choice.




OTHER NOTES
=======================================

Based on instructions from http://adamlamers.com/post/NUBSPFQJ50J1

A useful link for writing setup.py is https://docs.python.org/3/distutils/setupscript.html
