/* ================================================================
 * ================================================================
 *
 * Input / output static helper functions
 *
 * Author: L. Pitonakova (http://lenkaspace.net)
 * License: GNU General Public License. Please credit me when using my work.
 *
 * ================================================================
 * ================================================================
 */

#ifndef HELPERS_IOHELPER_H_
#define HELPERS_IOHELPER_H_

#include <string>
#include <vector>

class IOHelper {
public:
   IOHelper();
   virtual ~IOHelper();

   static void FileToVector(std::string filePath_, std::vector<std::vector<float>>& resultArray_);
   static void FileToVector(std::string filePath_, std::vector<std::vector<float>>& resultArray_, bool ignoreFirstLine_);
   static void FileToVector(std::string filePath_, std::vector<std::vector<float>>& resultArray_, const char delimiter_);
   static void FileToVector(std::string filePath_, std::vector<std::vector<float>>& resultArray_, bool ignoreFirstLine_, const char delimiter_, float defaultValue_);

   static void FileToVector(std::string filePath_, std::vector<std::vector<std::string>>& resultArray_);
   static void FileToVector(std::string filePath_, std::vector<std::vector<std::string>>& resultArray_, bool ignoreFirstLine_);
   static void FileToVector(std::string filePath_, std::vector<std::vector<std::string>>& resultArray_, const char delimiter_);
   static void FileToVector(std::string filePath_, std::vector<std::vector<std::string>>& resultArray_, bool ignoreFirstLine_, const char delimiter_, std::string defaultValue_);

};

#endif /* HELPERS_IOHELPER_H_ */
