/* ================================================================
 * ================================================================
 *
 * Static functions for various calculations
 *
 * Author: L. Pitonakova (http://lenkaspace.net)
 * License: GNU General Public License. Please credit me when using my work.
 *
 * ================================================================
 * ================================================================
 */

#include "mathHelper.h"

MathHelper::MathHelper() {


}

MathHelper::~MathHelper() {

}


/**
 * Get average value of a vector of values.
 * If ignoreZeros_ is true, only non-zero values are considered when calculating the average
 */
float MathHelper::GetAverageOfAVector(std::vector<float> vec_, bool ignoreZeros_) {
   if (vec_.size() == 0) {
      return 0;
   }

   float sum = 0;
   int numOfElements = 0;
   for (int i=0; i<vec_.size(); i++) {
      if (ignoreZeros_) {
         if (vec_[i] != 0) {
            sum += vec_[i];
            numOfElements++;
         }
      } else {
         sum += vec_[i];
         numOfElements++;
      }
   }

   if (numOfElements == 0) {
      return 0;
   }
   return sum / numOfElements;
}

/**
 * Get a maximum value found in a vector of floats.
 */
float MathHelper::GetMaxOfAVector(std::vector<float> vec_) {
   if (vec_.size() == 0) {
      return 0;
   }
   float maxVal = -99999999;
   for (int i=0; i<vec_.size(); i++) {
      if (vec_[i] > maxVal) {
         maxVal = vec_[i];
      }
   }
   return maxVal;
}





