/* ================================================================
 * ================================================================
 *
 * Static functions for converting std data structures into
 * Python-friendly data structures
 *
 * Author: L. Pitonakova (http://lenkaspace.net)
 * License: GNU General Public License. Please credit me when using my work.
 *
 * ================================================================
 * ================================================================
 */

#include "pythonFormatHelper.h"

PythonFormatHelper::PythonFormatHelper() {


}

PythonFormatHelper::~PythonFormatHelper() {

}

/**
 * Convert a 4D vector of floats into a PyList of floats.
 */
PyObject* PythonFormatHelper::PythonListFromVector(std::vector<std::vector<std::vector<std::vector<float>>>> vector_) {
   PyObject *returnList = PyList_New(vector_.size());
   for (size_t i = 0; i != vector_.size(); ++i) {
      PyList_SET_ITEM(returnList, i, PythonListFromVector(vector_[i]));
   }
   return returnList;
}

/**
 * Convert a 3D vector of floats into a PyList of floats.
 */
PyObject* PythonFormatHelper::PythonListFromVector(std::vector<std::vector<std::vector<float>>> vector_) {
   PyObject *returnList = PyList_New(vector_.size());
   for (size_t i = 0; i != vector_.size(); ++i) {
      PyList_SET_ITEM(returnList, i, PythonListFromVector(vector_[i]));
   }
   return returnList;
}

/**
 * Convert a 2D vector of floats into a PyList of floats.
 */
PyObject* PythonFormatHelper::PythonListFromVector(std::vector<std::vector<float>> vector_) {
   PyObject *returnList = PyList_New(vector_.size());
   for (size_t i = 0; i != vector_.size(); ++i) {
      PyList_SET_ITEM(returnList, i, PythonListFromVector(vector_[i]));
   }
   return returnList;
}

/**
 * Convert a 1D vector of floats into a PyList of floats.
 */
PyObject* PythonFormatHelper::PythonListFromVector(std::vector<float> vector_) {
   PyObject *returnList = PyList_New(vector_.size());
   for (size_t i = 0; i != vector_.size(); ++i) {
      PyList_SET_ITEM(returnList, i, PyFloat_FromDouble(vector_[i]));
   }
   return returnList;
}

