/* ================================================================
 * ================================================================
 *
 * Static functions for converting std data structures into
 * Python-friendly data structures
 *
 * Author: L. Pitonakova (http://lenkaspace.net)
 * License: GNU General Public License. Please credit me when using my work.
 *
 * ================================================================
 * ================================================================
 */

#include <Python.h>
#include <vector>

#ifndef HELPERS_PYTHONFORMATHELPER_H_
#define HELPERS_PYTHONFORMATHELPER_H_

class PythonFormatHelper {
public:
   PythonFormatHelper();
   virtual ~PythonFormatHelper();

   static PyObject* PythonListFromVector(std::vector<float> vector_);
   static PyObject* PythonListFromVector(std::vector<std::vector<float>> vector_);
   static PyObject* PythonListFromVector(std::vector<std::vector<std::vector<float>>> vector_);
   static PyObject* PythonListFromVector(std::vector<std::vector<std::vector<std::vector<float>>>> vector_);
};

#endif /* HELPERS_PYTHONFORMATHELPER_H_ */
