from distutils.core import setup, Extension

import os

data_module = Extension('gaData_module',
                           sources = ['gaData_module.cpp',
                              'helpers/pythonFormatHelper.cpp',
                              'helpers/ioHelper.cpp',
                              'helpers/dataProvider.cpp',
                              'helpers/mathHelper.cpp'
                           ],
                           extra_compile_args=['-std=c++11','-I' + os.environ["PROJECT_DIRECTORY_PATH"] + "/cppCommon" ]
                           )

setup(name = 'pyGwrnn',
      version = '1.0',
      description = 'Python Package for analysis of the GWRNN data',
      ext_modules = [data_module],

      url='http://lenkaspace.net',
      author='Lenka Pitonakova',
      author_email='contact at lenkaspace dot net')
