####################################################################
##
## Quick and dirty code for examining properties of various functions
##
## Author: L. Pitonakova (http://lenkaspace.net)
## License: GNU General Public License. Please credit me when using my work.
##
###################################################################

import matplotlib.pyplot as plt
import numpy as np
import matplotlib.mlab as mlab
import math
import pylab;

from pyCreeper import crGraphs;


fig = pylab.figure(figsize=(12,10));
ax = fig.add_subplot(111);

sigmaVals = [0.01, 0.05, 0.15, 0.20, 0.30];
for sigmaVal in sigmaVals:
   mu = 0
   sigma = math.sqrt(sigmaVal)
   x = np.linspace(mu - 3*sigma, mu + 3*sigma, 100)
   ax.plot(x,mlab.normpdf(x, mu, sigma), label="{:.3f}".format(sigmaVal));


legend = ax.legend(shadow=True, fontsize='x-large', fancybox=True, framealpha=0.7)

#plt.show()




distanceVals = [1,3,5,6,10];
expVals = [ math.exp(-distanceVals[x]) for x in range(len(distanceVals))];

crGraphs.createLinePlot([expVals], xTickLabels_=distanceVals);
